> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create new member

> Create a new member



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml post /v1/members
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/members:
    post:
      tags:
        - Member
      summary: Create new member
      description: Create a new member
      operationId: MemberController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberCreateParams'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Member'
components:
  schemas:
    MemberCreateParams:
      type: object
      properties:
        firstName:
          type: string
          maxLength: 255
        lastName:
          type: string
          maxLength: 255
        email:
          type: string
          maxLength: 255
          format: email
        mobileNumber:
          type: string
          maxLength: 20
        dateOfBirth:
          type: string
        profileImageUrl:
          type: string
          nullable: true
          format: uri
        metadata:
          $ref: '#/components/schemas/Metadata'
    Member:
      type: object
      properties:
        id:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        email:
          type: string
        emailVerified:
          type: boolean
        mobileNumber:
          type: string
        mobileNumberVerified:
          type: boolean
        dateOfBirth:
          type: string
        createdAt:
          format: date-time
          type: string
        roles:
          type: array
          items:
            type: string
        profileImageUrl:
          type: string
        activity:
          type: array
          items:
            $ref: '#/components/schemas/MemberActivity'
        settings:
          $ref: '#/components/schemas/MemberSettings'
      required:
        - id
        - emailVerified
        - mobileNumberVerified
        - createdAt
        - settings
    Metadata:
      type: object
      properties: {}
    MemberActivity:
      type: object
      properties:
        updatedAt:
          format: date-time
          type: string
          description: The last time the application was used
          example: '2021-01-01T00:00:00.000Z'
        applicationId:
          type: string
          enum:
            - member_web
            - member_mobile
            - business_web
            - business_mobile
            - business_extension
        applicationVersion:
          type: string
        platform:
          type: string
        userAgent:
          type: string
        createdAt:
          format: date-time
          type: string
      required:
        - updatedAt
        - applicationId
        - createdAt
    MemberSettings:
      type: object
      properties:
        showPlanHelp:
          type: boolean

````